# Makefile.in generated by automake 1.6.1 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#
# Makefile.am
#
SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@

EXEEXT = @EXEEXT@
OBJEXT = @OBJEXT@
PATH_SEPARATOR = @PATH_SEPARATOR@
AMTAR = @AMTAR@
AS = @AS@
AWK = @AWK@

CC = @CC@

CFLAGS = @CFLAGS@ $(GLIB_CFLAGS) $(POPT_CFLAGS) $(XML_CFLAGS) 
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
GLIB_LIBS = @GLIB_LIBS@
GLIB_MKENUMS = @GLIB_MKENUMS@
GL_CFLAGS = @GL_CFLAGS@
GL_LIBS = @GL_LIBS@
GNET_CFLAGS = @GNET_CFLAGS@
GNET_CONFIG = @GNET_CONFIG@
GNET_LIBS = @GNET_LIBS@
GOBJECT_QUERY = @GOBJECT_QUERY@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_LIBS = @GTK_LIBS@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
ISODATE = @ISODATE@
LIBS = $(GLIB_LIBS) $(POPT_LIBS) $(XML_LIBS) 
LIBTOOL = @LIBTOOL@
LIBTOOL_DEPS = @LIBTOOL_DEPS@
LN_S = @LN_S@
OBJC = @OBJC@
OBJCDEPMODE = @OBJCDEPMODE@
OBJCFLAGS = $(CFLAGS)
OBJCLIBS = $(LIBS)
OBJDUMP = @OBJDUMP@
PACKAGE = @PACKAGE@
PKG_CONFIG = @PKG_CONFIG@
POPT_CFLAGS = @POPT_CFLAGS@
POPT_LIBS = @POPT_LIBS@
PTHREAD_LIB = @PTHREAD_LIB@
RANLIB = @RANLIB@
STRIP = @STRIP@
VERSION = @VERSION@
VERSION_INFO = @VERSION_INFO@
XML2_CONFIG = @XML2_CONFIG@
XML_CFLAGS = @XML_CFLAGS@
XML_CONFIG = @XML_CONFIG@
XML_LIBS = @XML_LIBS@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@

@COND_GTK_CONFIG_TRUE@gtk_subdir = gtk
@COND_GTK_CONFIG_FALSE@gtk_subdir = 

@COND_GL_PKG_TRUE@gl_subdir = gl
@COND_GL_PKG_FALSE@gl_subdir = 

@COND_GNET_CONFIG_TRUE@gnet_subdir = gnet
@COND_GNET_CONFIG_FALSE@gnet_subdir = 

SUBDIRS = $(gtk_subdir) $(gnet_subdir) $(gl_subdir)

SUFFIXES = .m .c

lib_LTLIBRARIES = libcoconut.la
LINK = $(LIBTOOL) --mode=link $(CC) $(LIBS) $(LDFLAGS) -o $@
OBJCLINK = $(LIBTOOL) --mode=link $(OBJC) $(LIBS) $(OBJCLIBS) $(LDFLAGS) -o $@


# INCLUDES = -I$(top_srcdir) $(GLIB_CFLAGS) $(POPT_CFLAGS) $(XML_CFLAGS)
libcoconutincludedir = $(includedir)/coconut

@COND_GLIB_CONFIG_TRUE@glib_headers = \
@COND_GLIB_CONFIG_TRUE@	casyncfile.h \
@COND_GLIB_CONFIG_TRUE@	casyncio.h \
@COND_GLIB_CONFIG_TRUE@	carray.h \
@COND_GLIB_CONFIG_TRUE@	ceventsystem.h \
@COND_GLIB_CONFIG_TRUE@	chash.h \
@COND_GLIB_CONFIG_TRUE@	cidarray.h \
@COND_GLIB_CONFIG_TRUE@	cidhash.h \
@COND_GLIB_CONFIG_TRUE@	cidlist.h \
@COND_GLIB_CONFIG_TRUE@	cidset.h \
@COND_GLIB_CONFIG_TRUE@	ciostream.h \
@COND_GLIB_CONFIG_TRUE@	cidstack.h \
@COND_GLIB_CONFIG_TRUE@	clist.h \
@COND_GLIB_CONFIG_TRUE@	cset.h \
@COND_GLIB_CONFIG_TRUE@	cstack.h 

@COND_GLIB_CONFIG_FALSE@glib_headers = 

@COND_LIBPOPT_TRUE@popt_headers = \
@COND_LIBPOPT_TRUE@	coptparser.h 

@COND_LIBPOPT_FALSE@popt_headers = 

@COND_LIBXML2_CONFIG_TRUE@libxml_headers = \
@COND_LIBXML2_CONFIG_TRUE@	chtmltree.h \
@COND_LIBXML2_CONFIG_TRUE@	cxmlalloc.h \
@COND_LIBXML2_CONFIG_TRUE@	cxmlfactory.h \
@COND_LIBXML2_CONFIG_TRUE@	cxmlnode.h \
@COND_LIBXML2_CONFIG_TRUE@	cxmlparser.h \
@COND_LIBXML2_CONFIG_TRUE@	cxmltable.h \
@COND_LIBXML2_CONFIG_TRUE@	cxmltree.h \
@COND_LIBXML2_CONFIG_TRUE@	dxml.h \
@COND_LIBXML2_CONFIG_TRUE@	fxml.h \
@COND_LIBXML2_CONFIG_TRUE@	txml.h \
@COND_LIBXML2_CONFIG_TRUE@	pxmltree.h \
@COND_LIBXML2_CONFIG_TRUE@	pxmlparser.h \
@COND_LIBXML2_CONFIG_TRUE@	pxmlutil.h

@COND_LIBXML2_CONFIG_FALSE@libxml_headers = 

# if the system does not have obstack in C library, use fobstack.h
@COND_OBSTACK_H_TRUE@obstack_headers = 
@COND_OBSTACK_H_FALSE@obstack_headers = fobstack.h

libcoconutinclude_HEADERS = \
	cboolean.h \
	ccmdenv.h \
	ccmdexit.h \
	ccmdnum.h \
	ccmdparser.h \
	ccmdprint.h \
	ccmdtext.h \
	cconststr.h \
	cdate.h \
	cerror.h \
	cexpconst.h \
	cexpfactory.h \
	cexpvar.h \
	cdir.h \
	creal.h \
	cfile.h \
	cindent.h \
	cindtstream.h \
	cint.h \
	clangsystem.h \
	clangscope.h \
	cmemalloc.h \
	cmemory.h \
	cmessage.h \
	cnode.h \
	cobject.h \
	cobstack.h \
	cpagealloc.h \
	cpoint.h \
	crect.h \
	cregexp.h \
	cstring.h \
	csystem.h \
	ctext.h \
	ctoken.h \
	ctree.h \
	cwordlist.h \
	dcmdxml.h \
	dconfig.h \
	dconststr.h \
	dbasic.h \
	derror.h \
	dobject.h \
	flang.h \
	fbasic.h \
	fobject.h \
	fvector.h \
	pallocator.h \
	papplication.h \
	pcommand.h \
	perror.h \
	pgraphics.h \
	plang.h \
	pmath.h \
	pmemory.h \
	pmisc.h \
	pobject.h \
	pset.h \
	pstream.h \
	pstring.h \
	psystem.h \
	ptext.h \
	tbasic.h \
	tcommand.h \
	tglib.h \
	tgraphics.h \
	tlang.h \
	tmath.h \
	tobject.h \
	toptparser.h \
	$(glib_headers) \
	$(obstack_headers) \
	$(popt_headers) \
	$(libxml_headers)


@COND_GLIB_CONFIG_TRUE@glib_sources = \
@COND_GLIB_CONFIG_TRUE@	casyncfile.m \
@COND_GLIB_CONFIG_TRUE@	casyncio.m \
@COND_GLIB_CONFIG_TRUE@	carray.m \
@COND_GLIB_CONFIG_TRUE@	ceventsystem.m \
@COND_GLIB_CONFIG_TRUE@	chash.m \
@COND_GLIB_CONFIG_TRUE@	cidarray.m \
@COND_GLIB_CONFIG_TRUE@	cidhash.m \
@COND_GLIB_CONFIG_TRUE@	cidlist.m \
@COND_GLIB_CONFIG_TRUE@	cidset.m \
@COND_GLIB_CONFIG_TRUE@	cidstack.m \
@COND_GLIB_CONFIG_TRUE@	ciostream.m \
@COND_GLIB_CONFIG_TRUE@	clist.m \
@COND_GLIB_CONFIG_TRUE@	cset.m \
@COND_GLIB_CONFIG_TRUE@	cstack.m 

@COND_GLIB_CONFIG_FALSE@glib_sources = 

@COND_LIBPOPT_TRUE@popt_sources = \
@COND_LIBPOPT_TRUE@	coptparser.m

@COND_LIBPOPT_FALSE@popt_sources = 

@COND_LIBXML2_CONFIG_TRUE@libxml_sources = \
@COND_LIBXML2_CONFIG_TRUE@	chtmltree.m \
@COND_LIBXML2_CONFIG_TRUE@	cxmlalloc.m \
@COND_LIBXML2_CONFIG_TRUE@	cxmlfactory.m \
@COND_LIBXML2_CONFIG_TRUE@	cxmlnode.m \
@COND_LIBXML2_CONFIG_TRUE@	cxmlparser.m \
@COND_LIBXML2_CONFIG_TRUE@	cxmltable.m \
@COND_LIBXML2_CONFIG_TRUE@	cxmltree.m \
@COND_LIBXML2_CONFIG_TRUE@	fxml.m

@COND_LIBXML2_CONFIG_FALSE@libxml_sources = 

# if the system does not have obstack in C library, use fobstack.h
@COND_OBSTACK_BEGIN_TRUE@obstack_sources = 
@COND_OBSTACK_BEGIN_FALSE@obstack_sources = fobstack.c

libcoconut_la_SOURCES = \
	cboolean.m \
	ccmdenv.m \
	ccmdexit.m \
	ccmdnum.m \
	ccmdparser.m \
	ccmdprint.m \
	ccmdtext.m \
	cconststr.m \
	cdate.m \
	cerror.m \
	cexpconst.m \
	cexpfactory.m \
	cexpvar.m \
	cdir.m \
	creal.m \
	cfile.m \
	cindent.m \
	cindtstream.m \
	cint.m \
	clangsystem.m \
	clangscope.m \
	cmemalloc.m \
	cmemory.m \
	cmessage.m \
	cnode.m \
	cobject.m \
	cobstack.m \
	cpagealloc.m \
	cpoint.m \
	crect.m \
	cregexp.m \
	cstring.m  \
	csystem.m \
	ctext.m \
	ctoken.m \
	ctree.m \
	cwordlist.m \
	fbasic.c \
	flang.m \
	fobject.m \
	fvector.c \
	$(glib_sources) \
	$(libxml_sources) \
	$(obstack_sources) \
	$(popt_sources)


libcoconut_la_LDFLAGS = \
  -version-info $(VERSION_INFO) \
  -dynamic


libcoconut_la_LIBADD = $(OBJCLIBS)
subdir = coconut
mkinstalldirs = $(SHELL) $(top_srcdir)/./misc/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/./config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libcoconut_la_DEPENDENCIES =
@COND_GLIB_CONFIG_TRUE@am__objects_1 = casyncfile.lo casyncio.lo \
@COND_GLIB_CONFIG_TRUE@	carray.lo ceventsystem.lo chash.lo \
@COND_GLIB_CONFIG_TRUE@	cidarray.lo cidhash.lo cidlist.lo \
@COND_GLIB_CONFIG_TRUE@	cidset.lo cidstack.lo ciostream.lo \
@COND_GLIB_CONFIG_TRUE@	clist.lo cset.lo cstack.lo
@COND_GLIB_CONFIG_FALSE@am__objects_1 =
@COND_LIBXML2_CONFIG_TRUE@am__objects_2 = chtmltree.lo cxmlalloc.lo \
@COND_LIBXML2_CONFIG_TRUE@	cxmlfactory.lo cxmlnode.lo \
@COND_LIBXML2_CONFIG_TRUE@	cxmlparser.lo cxmltable.lo \
@COND_LIBXML2_CONFIG_TRUE@	cxmltree.lo fxml.lo
@COND_LIBXML2_CONFIG_FALSE@am__objects_2 =
@COND_OBSTACK_BEGIN_TRUE@am__objects_3 =
@COND_OBSTACK_BEGIN_FALSE@am__objects_3 = fobstack.lo
@COND_LIBPOPT_TRUE@am__objects_4 = coptparser.lo
@COND_LIBPOPT_FALSE@am__objects_4 =
am_libcoconut_la_OBJECTS = cboolean.lo ccmdenv.lo ccmdexit.lo ccmdnum.lo \
	ccmdparser.lo ccmdprint.lo ccmdtext.lo cconststr.lo cdate.lo \
	cerror.lo cexpconst.lo cexpfactory.lo cexpvar.lo cdir.lo \
	creal.lo cfile.lo cindent.lo cindtstream.lo cint.lo \
	clangsystem.lo clangscope.lo cmemalloc.lo cmemory.lo \
	cmessage.lo cnode.lo cobject.lo cobstack.lo cpagealloc.lo \
	cpoint.lo crect.lo cregexp.lo cstring.lo csystem.lo ctext.lo \
	ctoken.lo ctree.lo cwordlist.lo fbasic.lo flang.lo fobject.lo \
	fvector.lo $(am__objects_1) $(am__objects_2) $(am__objects_3) \
	$(am__objects_4)
libcoconut_la_OBJECTS = $(am_libcoconut_la_OBJECTS)

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)/.
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
depcomp = $(SHELL) $(top_srcdir)/./misc/depcomp
am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/carray.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/casyncfile.Plo ./$(DEPDIR)/casyncio.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cboolean.Plo ./$(DEPDIR)/ccmdenv.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/ccmdexit.Plo ./$(DEPDIR)/ccmdnum.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/ccmdparser.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/ccmdprint.Plo ./$(DEPDIR)/ccmdtext.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cconststr.Plo ./$(DEPDIR)/cdate.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cdir.Plo ./$(DEPDIR)/cerror.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/ceventsystem.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cexpconst.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cexpfactory.Plo ./$(DEPDIR)/cexpvar.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cfile.Plo ./$(DEPDIR)/chash.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/chtmltree.Plo ./$(DEPDIR)/cidarray.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cidhash.Plo ./$(DEPDIR)/cidlist.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cidset.Plo ./$(DEPDIR)/cidstack.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cindent.Plo ./$(DEPDIR)/cindtstream.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cint.Plo ./$(DEPDIR)/ciostream.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/clangscope.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/clangsystem.Plo ./$(DEPDIR)/clist.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cmemalloc.Plo ./$(DEPDIR)/cmemory.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cmessage.Plo ./$(DEPDIR)/cnode.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cobject.Plo ./$(DEPDIR)/cobstack.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/coptparser.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cpagealloc.Plo ./$(DEPDIR)/cpoint.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/creal.Plo ./$(DEPDIR)/crect.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cregexp.Plo ./$(DEPDIR)/cset.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cstack.Plo ./$(DEPDIR)/cstring.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/csystem.Plo ./$(DEPDIR)/ctext.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/ctoken.Plo ./$(DEPDIR)/ctree.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cwordlist.Plo ./$(DEPDIR)/cxmlalloc.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cxmlfactory.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cxmlnode.Plo ./$(DEPDIR)/cxmlparser.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/cxmltable.Plo ./$(DEPDIR)/cxmltree.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/fbasic.Plo ./$(DEPDIR)/flang.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/fobject.Plo ./$(DEPDIR)/fobstack.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/fvector.Plo ./$(DEPDIR)/fxml.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
OBJCCOMPILE = $(OBJC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_OBJCFLAGS) $(OBJCFLAGS)
LTOBJCCOMPILE = $(LIBTOOL) --mode=compile $(OBJC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_OBJCFLAGS) $(OBJCFLAGS)
OBJCLD = $(OBJC)
DIST_SOURCES = $(libcoconut_la_SOURCES)
HEADERS = $(libcoconutinclude_HEADERS)


RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = $(libcoconutinclude_HEADERS) Makefile.am Makefile.in
DIST_SUBDIRS = gtk gnet gl
SOURCES = $(libcoconut_la_SOURCES)

all: all-recursive

.SUFFIXES:
.SUFFIXES: .m .c .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  coconut/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
libcoconut.la: $(libcoconut_la_OBJECTS) $(libcoconut_la_DEPENDENCIES) 
	$(OBJCLINK) -rpath $(libdir) $(libcoconut_la_LDFLAGS) $(libcoconut_la_OBJECTS) $(libcoconut_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/carray.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/casyncfile.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/casyncio.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cboolean.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ccmdenv.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ccmdexit.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ccmdnum.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ccmdparser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ccmdprint.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ccmdtext.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cconststr.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cdate.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cdir.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cerror.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ceventsystem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cexpconst.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cexpfactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cexpvar.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfile.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chash.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chtmltree.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cidarray.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cidhash.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cidlist.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cidset.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cidstack.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cindent.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cindtstream.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cint.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ciostream.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/clangscope.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/clangsystem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/clist.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cmemalloc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cmemory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cmessage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cnode.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cobject.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cobstack.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/coptparser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cpagealloc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cpoint.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/creal.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crect.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cregexp.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cset.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cstack.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cstring.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/csystem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctext.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctoken.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctree.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cwordlist.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxmlalloc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxmlfactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxmlnode.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxmlparser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxmltable.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxmltree.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fbasic.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flang.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fobject.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fobstack.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fvector.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fxml.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
CCDEPMODE = @CCDEPMODE@

.m.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(OBJCCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.m.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(OBJCCOMPILE) -c -o $@ `cygpath -w $<`

.m.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTOBJCCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
libcoconutincludeHEADERS_INSTALL = $(INSTALL_HEADER)
install-libcoconutincludeHEADERS: $(libcoconutinclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libcoconutincludedir)
	@list='$(libcoconutinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(libcoconutincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(libcoconutincludedir)/$$f"; \
	  $(libcoconutincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(libcoconutincludedir)/$$f; \
	done

uninstall-libcoconutincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(libcoconutinclude_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(libcoconutincludedir)/$$f"; \
	  rm -f $(DESTDIR)$(libcoconutincludedir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(HEADERS)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(libcoconutincludedir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-libcoconutincludeHEADERS

install-exec-am: install-libLTLIBRARIES

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES \
	uninstall-libcoconutincludeHEADERS

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
	clean-generic clean-libLTLIBRARIES clean-libtool \
	clean-recursive distclean distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-data install-data-am \
	install-data-recursive install-exec install-exec-am \
	install-exec-recursive install-info install-info-am \
	install-info-recursive install-libLTLIBRARIES \
	install-libcoconutincludeHEADERS install-man install-recursive \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am installdirs-recursive maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	mostlyclean-recursive tags tags-recursive uninstall \
	uninstall-am uninstall-info-am uninstall-info-recursive \
	uninstall-libLTLIBRARIES uninstall-libcoconutincludeHEADERS \
	uninstall-recursive

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
